You are not logged in.

#1 2018-12-18 07:51:55

Jarek1
Member
Registered: 2017-08-23
Posts: 1

upgrade to mesa 18.3 breaks vaapi on my system

can anyone confirm?

$ pacman -Q mesa
mesa 18.3.1-1
$ vainfo
error: failed to resolve wl_drm_interface(): /usr/lib/libEGL_mesa.so.0: undefined symbol: wl_drm_interface
vaInitialize failed with error code -1 (unknown libva error),exit
$ sudo pacman -U /var/cache/pacman/pkg/mesa-18.2.6-1-x86_64.pkg.tar.xz
...
$ pacman -Q mesa
mesa 18.2.6-1
$ vainfo
vainfo: VA-API version: 1.3 (libva 2.3.0)
vainfo: Driver version: Intel i965 driver for Intel(R) Haswell Mobile - 2.3.0
vainfo: Supported profile and entrypoints
      VAProfileMPEG2Simple            :	VAEntrypointVLD
      VAProfileMPEG2Simple            :	VAEntrypointEncSlice
      VAProfileMPEG2Main              :	VAEntrypointVLD
      VAProfileMPEG2Main              :	VAEntrypointEncSlice
      VAProfileH264ConstrainedBaseline:	VAEntrypointVLD
      VAProfileH264ConstrainedBaseline:	VAEntrypointEncSlice
      VAProfileH264Main               :	VAEntrypointVLD
      VAProfileH264Main               :	VAEntrypointEncSlice
      VAProfileH264High               :	VAEntrypointVLD
      VAProfileH264High               :	VAEntrypointEncSlice
      VAProfileH264MultiviewHigh      :	VAEntrypointVLD
      VAProfileH264MultiviewHigh      :	VAEntrypointEncSlice
      VAProfileH264StereoHigh         :	VAEntrypointVLD
      VAProfileH264StereoHigh         :	VAEntrypointEncSlice
      VAProfileVC1Simple              :	VAEntrypointVLD
      VAProfileVC1Main                :	VAEntrypointVLD
      VAProfileVC1Advanced            :	VAEntrypointVLD
      VAProfileNone                   :	VAEntrypointVideoProc
      VAProfileJPEGBaseline           :	VAEntrypointVLD

Offline

#2 2018-12-19 13:35:33

khagrin
Member
Registered: 2018-12-19
Posts: 2

Re: upgrade to mesa 18.3 breaks vaapi on my system

It doesn't work on 18.3.1-1 and 18.3.0-1 for me too (the same error as in your post), but does work on 18.2.6-1.

Last edited by khagrin (2018-12-19 13:36:31)

Offline

#3 2018-12-20 12:11:37

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 6,680

Re: upgrade to mesa 18.3 breaks vaapi on my system

output of pacman -Qs libva ?


Multi-init booting with apg Openrc and systemd coexisting
Automounting : not needed, i prefer pmount
Aur helpers : makepkg + my own local repo === rarely need them

Offline

#4 2018-12-20 19:01:36

khagrin
Member
Registered: 2018-12-19
Posts: 2

Re: upgrade to mesa 18.3 breaks vaapi on my system

Lone_Wolf wrote:

output of pacman -Qs libva ?

~ » pacman -Qs libva
local/libva 2.3.0-1
    Video Acceleration (VA) API for Linux
local/libva-intel-driver 2.3.0-1
    VA-API implementation for Intel G45 and HD Graphics family
local/libva-utils 2.3.0-1
    Intel VA-API Media Applications and Scripts for libva
local/vala 0.42.4-1
    Compiler for the GObject type system

Offline

#5 2018-12-21 04:18:19

Lupo Alberto
Member
From: Gomel, Belarus
Registered: 2013-11-25
Posts: 66

Re: upgrade to mesa 18.3 breaks vaapi on my system

In my case everything works.

% yay -Q mesa     
mesa 18.3.1-1

% vainfo          
vainfo: VA-API version: 1.3 (libva 2.3.0)
vainfo: Driver version: Intel i965 driver for Intel(R) Sandybridge Mobile - 2.3.0
vainfo: Supported profile and entrypoints
      VAProfileMPEG2Simple            :	VAEntrypointVLD
      VAProfileMPEG2Main              :	VAEntrypointVLD
      VAProfileH264ConstrainedBaseline:	VAEntrypointVLD
      VAProfileH264Main               :	VAEntrypointVLD
      VAProfileH264High               :	VAEntrypointVLD
      VAProfileH264StereoHigh         :	VAEntrypointVLD
      VAProfileVC1Simple              :	VAEntrypointVLD
      VAProfileVC1Main                :	VAEntrypointVLD
      VAProfileVC1Advanced            :	VAEntrypointVLD
      VAProfileNone                   :	VAEntrypointVideoProc

What kind of driver (xf86-video-intel or KMS) you use?

Offline

#6 2018-12-21 13:13:58

MichaelJChou
Member
Registered: 2018-12-21
Posts: 1

Re: upgrade to mesa 18.3 breaks vaapi on my system

related upstream issue: https://github.com/intel/intel-vaapi-driver/issues/419

@Lupo Alberto, maybe you're not using wayland, thus unaffected

Offline

#7 2018-12-21 17:47:58

Lupo Alberto
Member
From: Gomel, Belarus
Registered: 2013-11-25
Posts: 66

Re: upgrade to mesa 18.3 breaks vaapi on my system

Michael wrote:

@Lupo Alberto, maybe you're not using wayland, thus unaffected

You're right about this.

Offline

Board footer

Powered by FluxBB